#!/usr/bin/python3
import time
import RPi.GPIO as io

io.setmode(io.BCM)
io.setwarnings(False)
io.setup(4,io.OUT) # make pin into an output
io.setup(24,io.IN, pull_up_down=io.PUD_UP) # make pin into an input

print("LED blinker - By Mike Cook")
print("Ctrl C to quit")
while True:
    if io.input(24) == 0:
        time.sleep(1.0)
    else :
        time.sleep(0.3)
    io.output(4,1) # LED on
    if io.input(24) == 0:
        time.sleep(1.0)
    else :
        time.sleep(0.3)
    io.output(4,0) # LED off  

